(function ()
{
	var ns = __namespace( "Astro.Blog.AstroEdit.SmartInput.CandidateAction" );

	var ArticleRefs = ns[ NS_INVOKE ]( "ArticleReference" );

	/** @type {Astro.Blog.AstroEdit.SmartInput.ICandidateAction} */
	var ArticleContent = function ( visualizer, key )
	{
		ArticleRefs.call( this, visualizer, key );
	};

	__extends( ArticleContent, ArticleRefs );

	ArticleContent.prototype.Process = function( key )
	{
		var cand = this.__cands[ key ];
		if( !cand ) return false;

		this.visualizer.insertSnippet( "articlecontent", { value: cand.id } );
		return true;
	};

	ns[ NS_EXPORT ]( EX_CLASS, "ArticleContent", ArticleContent );
})();
